// Copyright (c) 2017-2021, Lawrence Livermore National Security, LLC and
// other Axom Project Developers. See the top-level LICENSE file for details.
//
// SPDX-License-Identifier: (BSD-3-Clause)


#ifndef AXOM_UNIFIED_MINT_HPP
#define AXOM_UNIFIED_MINT_HPP

#include "axom/config.hpp"

#include "axom/mint/config.hpp"
#include "axom/mint/deprecated/MCArray.hpp"
#include "axom/mint/execution/xargs.hpp"
#include "axom/mint/execution/interface.hpp"
#include "axom/mint/fem/FEBasis.hpp"
#include "axom/mint/fem/FEBasisTypes.hpp"
#include "axom/mint/fem/FiniteElement.hpp"
#include "axom/mint/fem/shape_functions/Lagrange.hpp"
#include "axom/mint/fem/shape_functions/ShapeFunction.hpp"
#include "axom/mint/fem/shape_functions/Lagrange.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_hexa_27.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_hexa_8.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_prism_6.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_pyra_5.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_quad_4.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_quad_9.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_tetra_4.hpp"
#include "axom/mint/fem/shape_functions/lagrange/lagrange_tri_3.hpp"
#include "axom/mint/mesh/blueprint.hpp"
#include "axom/mint/mesh/CellTypes.hpp"
#include "axom/mint/mesh/ConnectivityArray.hpp"
#include "axom/mint/mesh/CurvilinearMesh.hpp"
#include "axom/mint/mesh/Field.hpp"
#include "axom/mint/mesh/FieldAssociation.hpp"
#include "axom/mint/mesh/FieldData.hpp"
#include "axom/mint/mesh/FieldTypes.hpp"
#include "axom/mint/mesh/FieldVariable.hpp"
#include "axom/mint/mesh/Mesh.hpp"
#include "axom/mint/mesh/MeshCoordinates.hpp"
#include "axom/mint/mesh/MeshTypes.hpp"
#include "axom/mint/mesh/ParticleMesh.hpp"
#include "axom/mint/mesh/RectilinearMesh.hpp"
#include "axom/mint/mesh/StructuredMesh.hpp"
#include "axom/mint/mesh/UniformMesh.hpp"
#include "axom/mint/mesh/UnstructuredMesh.hpp"
#include "axom/mint/utils/vtk_utils.hpp"
#include "axom/mint/utils/su2_utils.hpp"
#include "axom/mint/deprecated/SidreMCArray.hpp"

#endif // AXOM_UNIFIED_MINT_HPP
