// Copyright (c) 2017-2021, Lawrence Livermore National Security, LLC and
// other Axom Project Developers. See the top-level LICENSE file for details.
//
// SPDX-License-Identifier: (BSD-3-Clause)


#ifndef AXOM_UNIFIED_SLAM_HPP
#define AXOM_UNIFIED_SLAM_HPP

#include "axom/config.hpp"

#include "axom/slam/Utilities.hpp"
#include "axom/slam/FieldRegistry.hpp"
#include "axom/slam/ModularInt.hpp"
#include "axom/slam/policies/CardinalityPolicies.hpp"
#include "axom/slam/policies/SizePolicies.hpp"
#include "axom/slam/policies/OffsetPolicies.hpp"
#include "axom/slam/policies/StridePolicies.hpp"
#include "axom/slam/policies/IndirectionPolicies.hpp"
#include "axom/slam/policies/SubsettingPolicies.hpp"
#include "axom/slam/policies/PolicyTraits.hpp"
#include "axom/slam/IndirectionSet.hpp"
#include "axom/slam/NullSet.hpp"
#include "axom/slam/OrderedSet.hpp"
#include "axom/slam/RangeSet.hpp"
#include "axom/slam/ProductSet.hpp"
#include "axom/slam/DynamicSet.hpp"
#include "axom/slam/Set.hpp"
#include "axom/slam/BivariateSet.hpp"
#include "axom/slam/BitSet.hpp"
#include "axom/slam/RelationSet.hpp"
#include "axom/slam/Relation.hpp"
#include "axom/slam/StaticRelation.hpp"
#include "axom/slam/DynamicVariableRelation.hpp"
#include "axom/slam/DynamicConstantRelation.hpp"
#include "axom/slam/Map.hpp"
#include "axom/slam/MapBase.hpp"
#include "axom/slam/BivariateMap.hpp"
#include "axom/slam/SubMap.hpp"
#include "axom/slam/DynamicMap.hpp"

#endif // AXOM_UNIFIED_SLAM_HPP
